#include <stdio.h>
#include "nozzle.hpp"

int main()
{
	nozzle::injector injector("example.dll", nozzle::util::get_pid(L"notepad.exe"));
	const auto module_base = injector.inject();
	const auto thread_handle = injector.call_entry();

	std::printf("[+] module base => 0x%p, thread handle => 0x%x\n", module_base, thread_handle);
	std::getchar();
}